:noncompliant: csharp/noncompliant.adoc
:compliant: csharp/compliant.adoc

include::../description.adoc[]

=== Exceptions

The rule ignores:

* block statements
* anonymous functions containing a single statement

[source,csharp]
----
Func<object, bool> item1 = o => { return true; }; // Compliant by exception
Func<object, bool> item1 = o => { var r = false; return r; }; // Noncompliant
----

== Resources

=== Documentation

* https://learn.microsoft.com/en-us/dotnet/fundamentals/code-analysis/style-rules/csharp-formatting-options[C# formatting options]

ifdef::env-github,rspecator-view[]

'''
== Implementation Specification
(visible only on this page)

include::../message.adoc[]

include::../highlighting.adoc[]

'''
== Comments And Links
(visible only on this page)

include::../comments-and-links.adoc[]

endif::env-github,rspecator-view[]
